Arch SectionPlane

From FreeCAD Documentation
Revision as of 21:21, 6 December 2013 by Renatorivo (talk | contribs) (Created page with "====Bruk====")

Arch SectionPlane

Menyplacering
Arch -> Section Plane
Arbetsbänkar
Arch
Standard genväg
S P
Introducerad i version
-
Se även
Ingen

Beskrivning

Detta verktyg placerar en sektionplansvisare i nuvarande dokument, vilken definierar ett tvärsnitt eller vy-plan. visaren kan omplaceras och omorienteras genom att flytta och rotera den, tills den visar den 2D vy som du vill erhålla. Om verktyget används utan att några objekt är markerade, så kommer alla objekt från scenen att inkluderas i 2D vyn. Om några objekt är markerade, så kommer 2D vyn endast att visa dessa objekt.

Objekt kan senare adderas eller tas bort från ett SectionPlane objekt med Arch Add och Arch Remove verktygen.

Vid skapandet, så skapar SectionPlane objekt för närvarande ett Ritningssida objekt vilken innehåller den projicerade 2D vyn av de objekt som behandlas av Section Plane.

Till vänster i bilden ovan placeras ett Section Plane objekt i scenen, och till höger dess SVG 2D representation. Ytsortering är för närvarande inte helt implementerad.

Bruk

  1. Select objects you want to be included in your section view
  2. Press the SectionPlane button or press S then P keys
  3. Move/rotate the Section Plane into correct position
  4. Press the Recompute button to update the view

Options

  • With a section plane object selected, use the Draft Shape2DView tool to create a shape object representing the section view in the document

  • Create additional views of a section plane by selecting it, then using the Draft Drawing tool

Properties

  • VyDisplay Size: The size of the section plane gizmo in the 3D view

Scripting

The Section Plane tool can by used in macros and from the python console by using the following function:

makeSectionPlane ([objectslist])
Creates a Section plane objects including the given objects.

Example:

import FreeCAD, Draft, Arch
trace = Part.Line(FreeCAD.Vector (0, 0, 0),FreeCAD.Vector (2, 2, 0))
wall = Arch.makeWall(trace,width=0.1,height=1,align="Center")
Arch.makeSectionPlane([wall])